/*******************************************
* I2CoXgADCɃRtBM[VpR}hM
* Configuration Format
*  Bit7 : RDY
*  Bit
*@@ 
*******************************************/
void CmdI2C(unsigned char data)
{
	IdleI2C1();
	I2C1CONbits.SEN = 1;   				// X^[go//
	while(I2C1CONbits.SEN);				// X^[gI҂//
	I2C1TRN = 0xD0;						// AhXM//
	while(I2C1STATbits.TBF);			// MI҂//
	while(I2C1STATbits.ACKSTAT);		// ACKԐM҂//
	IdleI2C1();							// ACh҂//
	I2C1TRN = data;						// RtBM[VM//
	while(I2C1STATbits.TBF);			// MI҂//
	IdleI2C1();							// ACh҂//
    I2C1CONbits.PEN = 1;   				// Xgbvo//
	while(I2C1CONbits.PEN);				// XgbvI҂//
}
/************************************
* I2CoXgADCϊf[^擾
*  Format 18bits case
*   1st Byte : MMMMMMMD16
*   2nd Byte : D15 --- D8
*   3rd Byte : D7 ---- D0
*   4th Byte : Configuration Byte
*************************************/
void GetDataI2C(unsigned char *Buffer, unsigned char CNT)
{
	unsigned char i;
	IdleI2C1();							// ACh҂..
    I2C1CONbits.SEN = 1;   				// X^[go//
	while(I2C1CONbits.SEN);				// X^[gI҂
	I2C1TRN = 0xD1;						// AhXM@M[h
	while(I2C1STATbits.TBF);			// M҂//
	while(I2C1STATbits.ACKSTAT);		// ACKM҂//
	IdleI2C1();							// ACh҂//
	for(i=0; i<CNT; i++)				// oCgAM//
	{
    	I2C1CONbits.ACKDT = 0;			// ACKݒ//
 	   	I2C1CONbits.RCEN = 1;			// M//
    	while(I2C1CONbits.RCEN);		// M҂//
    	I2C1CONbits.ACKEN = 1;			// ACKԑ//
		Buffer[i] = I2C1RCV;			// Mf[^擾//
    	I2C1STATbits.I2CPOV = 0;		// G[NA//
		IdleI2C1();						// ACh҂//
	}
  	I2C1CONbits.ACKDT = 1;				// NACKݒ//
   	I2C1CONbits.RCEN = 1;				// M//
  	while(I2C1CONbits.RCEN);			// M҂//
  	I2C1CONbits.ACKEN = 1;				// NACKԑ//
	Buffer[i] = I2C1RCV;				// Mf[^擾//
  	I2C1STATbits.I2CPOV = 0;			// G[NA//
	IdleI2C1();							// ACh҂//
	I2C1CONbits.PEN = 1;   				// Xgbvo//
	while(I2C1CONbits.PEN);				// XgbvI҂//
}
//// ACh҂Tu֐@///
void IdleI2C1(void)
{
    /* Wait until I2C Bus is Inactive */
    while(I2C1CONbits.SEN || I2C1CONbits.PEN || I2C1CONbits.RCEN || I2C1CONbits.ACKEN || I2C1STATbits.TRSTAT);  
}
